package me.km.blocks;

import me.km.KajetansMod;
import net.minecraft.block.*;
import net.minecraft.block.material.Material;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemBlock;

public class BlockBase extends Block 
{
    protected String name;

    public BlockBase(Material material, String name, String local) 
    {
        super(material);
        this.name = name;
        this.setRegistryName(name);
        super.setUnlocalizedName(local);
    }

    public void registerItemModel(ItemBlock itemBlock) 
    {
        KajetansMod.proxy.registerItemRenderer(itemBlock, 0, name);
    }

    @Override
    public BlockBase setCreativeTab(CreativeTabs tab) 
    {
        super.setCreativeTab(tab);
        return this;
    }
}