package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.api.Utils;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.init.Blocks;
import net.minecraft.util.math.BlockPos;

public class CommandTest extends ModuleCommand
{
    public CommandTest(Module m) 
    {
        super("test", m);
        super.setDescription("Für Tests");
        super.setUsage("/test");
        super.setPermission(Permissions.TEST);
    }   

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        EntityPlayer p = (EntityPlayer) cs;
        BlockPos pos = Utils.getPlayerTarget(p);
        p.getEntityWorld().setBlockState(pos, Blocks.REDSTONE_BLOCK.getDefaultState());
        //this.getModule().send(cs, "Es passiert nichts.");
        return true;
    }
}
