package me.km.blockprotections;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import me.km.permissions.Permission;
import me.km.permissions.Permissions;
import net.minecraft.block.BlockCrops;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.math.BlockPos;
import net.minecraftforge.event.world.BlockEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class SemiProtections extends ModuleListener
{    
    //private final BlockProtectionBank bank;
    
    public SemiProtections(Module m)
    {
        super(m);
        //bank = KajetansMod.blocks.getDataBank(BlockProtectionBank.class);
    }
    
    @SubscribeEvent
    public void onBlockBreak(BlockEvent.BreakEvent e)
    {
        EntityPlayer p = e.getPlayer();
        if(Permission.hasPermission(p, Permissions.BLOCK_BYPASS) && p.isCreative())
        {
            return;
        }
        IBlockState b = e.getState();
        if(b.getBlock() instanceof BlockCrops)
        {
            // TODO
            /*if(!bank.hasTag(e., "farm"))
            {
                return;
            }*/
            e.setCanceled(true); 
            b.getBlock().dropBlockAsItem(e.getWorld(), e.getPos(), b, 0);
            e.getWorld().setBlockState(e.getPos(), b.withProperty(BlockCrops.AGE, 7));
        }
    }
}
